var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { h } from '@stencil/core';
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
export class VegaSelectionChipGroupRenderer extends VegaSlimmer {
  getGroupContainerRef() {
    return this.groupContainerRef;
  }
  render() {
    return (h("div", null,
      this.renderLabel(),
      this.renderContainer(),
      this.renderHint()));
  }
  renderLabel() {
    return (h("vega-field-label", { "is-field-required": this.required, disabled: this.disabled, label: this.label }));
  }
  renderContainer() {
    return (h("div", { class: "container", ref: (ref) => (this.groupContainerRef = ref) },
      h("slot", null)));
  }
  renderHint() {
    return (this.hint && (h("div", { class: "vega-hint" },
      h("label", null, this.hint))));
  }
}
__decorate([
  MapToComponentField()
], VegaSelectionChipGroupRenderer.prototype, "host", void 0);
__decorate([
  MapToComponentField()
], VegaSelectionChipGroupRenderer.prototype, "label", void 0);
__decorate([
  MapToComponentField()
], VegaSelectionChipGroupRenderer.prototype, "required", void 0);
__decorate([
  MapToComponentField()
], VegaSelectionChipGroupRenderer.prototype, "hint", void 0);
__decorate([
  MapToComponentField()
], VegaSelectionChipGroupRenderer.prototype, "disabled", void 0);
